/*! 
    \file i_physics.h
    \brief a physics interface simulating a body with a mass
*/

#ifndef _I_PHYSICS_H
#define _I_PHYSICS_H

#include "p_node.h"

//! A Physics interface
/**
   here can be some longer description of this class
*/
class IPhysics : public PNode {

 public:
  IPhysics();
  virtual ~IPhysics();
  
  void setMass( float mass );		//!< Set the mass of this node
  float getMass( void ) const;		//!< Get the mass of this node
  float getTotalMass( void ) const; //!< Get the sum of the masses of this node and all subnodes

 protected:
  void recalcMass();	//!< Recalculate the mass of the children
  float mass;			//!< Mass of this node
  float massChildren;	//!< Sum of the masses of the children nodes
  

 private:
	

};

#endif /* _I_PHYSICS_H */
